import { map, includes } from 'lodash-es';
import { Spin } from 'antd';
import * as React from 'react';
import { css } from '@emotion/css';
import { ExetnsionRow } from './ExetnsionRow.js';

const ExtensionsList = (props) => {
    const { extensions, loading, onSelect, onRemove, onInstall, mode = 'gallery', ...rest } = props;
    const installed = React.useMemo(() => map(rest.installed, 'galleryIdentifier.id'), [rest.installed]);
    if (loading) {
        return React.createElement(Spin, null);
    }
    return (React.createElement("div", { className: css(styles.root) }, map(extensions, extension => (React.createElement(ExetnsionRow, { onSelect: onSelect, extension: extension, onInstall: () => onInstall(extension), onRemove: () => onRemove(extension.id), isInstalled: mode === 'installed' ? true : includes(installed, extension.id) })))));
};
const styles = {
    root: {
        width: '100%',
        height: '100%',
        overflowY: 'auto',
    },
};

export { ExtensionsList };
//# sourceMappingURL=ExtensionsList.js.map
