import * as SchemaTypes from '@adminide-stack/extension-api';
import { DocumentNode } from 'graphql';
import * as Apollo from '@apollo/client';
export declare const CopyDocument: DocumentNode;
export type ICopyMutationFn = Apollo.MutationFunction<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
/**
 * __useCopyMutation__
 *
 * To run a mutation, you first call `useCopyMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useCopyMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [copyMutation, { data, loading, error }] = useCopyMutation({
 *   variables: {
 *      value: // value for 'value'
 *   },
 * });
 */
export declare function useCopyMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>): Apollo.MutationTuple<SchemaTypes.ICopyMutation, SchemaTypes.Exact<{
    value?: string;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type CopyMutationHookResult = ReturnType<typeof useCopyMutation>;
export type CopyMutationResult = Apollo.MutationResult<SchemaTypes.ICopyMutation>;
export type CopyMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.ICopyMutation, SchemaTypes.ICopyMutationVariables>;
export declare const RunMenuActionDocument: DocumentNode;
export type IRunMenuActionMutationFn = Apollo.MutationFunction<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
/**
 * __useRunMenuActionMutation__
 *
 * To run a mutation, you first call `useRunMenuActionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useRunMenuActionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [runMenuActionMutation, { data, loading, error }] = useRunMenuActionMutation({
 *   variables: {
 *      argument: // value for 'argument'
 *   },
 * });
 */
export declare function useRunMenuActionMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>): Apollo.MutationTuple<SchemaTypes.IRunMenuActionMutation, SchemaTypes.Exact<{
    argument?: SchemaTypes.IContributionActionRunInput;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type RunMenuActionMutationHookResult = ReturnType<typeof useRunMenuActionMutation>;
export type RunMenuActionMutationResult = Apollo.MutationResult<SchemaTypes.IRunMenuActionMutation>;
export type RunMenuActionMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IRunMenuActionMutation, SchemaTypes.IRunMenuActionMutationVariables>;
export declare const HideContextMenuDocument: DocumentNode;
export type IHideContextMenuMutationFn = Apollo.MutationFunction<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
/**
 * __useHideContextMenuMutation__
 *
 * To run a mutation, you first call `useHideContextMenuMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useHideContextMenuMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [hideContextMenuMutation, { data, loading, error }] = useHideContextMenuMutation({
 *   variables: {
 *   },
 * });
 */
export declare function useHideContextMenuMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>): Apollo.MutationTuple<SchemaTypes.IHideContextMenuMutation, SchemaTypes.Exact<{
    [key: string]: never;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type HideContextMenuMutationHookResult = ReturnType<typeof useHideContextMenuMutation>;
export type HideContextMenuMutationResult = Apollo.MutationResult<SchemaTypes.IHideContextMenuMutation>;
export type HideContextMenuMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IHideContextMenuMutation, SchemaTypes.IHideContextMenuMutationVariables>;
export declare const ShowContextMenuDocument: DocumentNode;
export type IShowContextMenuMutationFn = Apollo.MutationFunction<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
/**
 * __useShowContextMenuMutation__
 *
 * To run a mutation, you first call `useShowContextMenuMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useShowContextMenuMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [showContextMenuMutation, { data, loading, error }] = useShowContextMenuMutation({
 *   variables: {
 *      delegate: // value for 'delegate'
 *   },
 * });
 */
export declare function useShowContextMenuMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>): Apollo.MutationTuple<SchemaTypes.IShowContextMenuMutation, SchemaTypes.Exact<{
    delegate?: SchemaTypes.IContextMenuInput;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type ShowContextMenuMutationHookResult = ReturnType<typeof useShowContextMenuMutation>;
export type ShowContextMenuMutationResult = Apollo.MutationResult<SchemaTypes.IShowContextMenuMutation>;
export type ShowContextMenuMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IShowContextMenuMutation, SchemaTypes.IShowContextMenuMutationVariables>;
export declare const InstallDocument: DocumentNode;
export type IInstallMutationFn = Apollo.MutationFunction<SchemaTypes.IInstallMutation, SchemaTypes.IInstallMutationVariables>;
/**
 * __useInstallMutation__
 *
 * To run a mutation, you first call `useInstallMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useInstallMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [installMutation, { data, loading, error }] = useInstallMutation({
 *   variables: {
 *      vsix: // value for 'vsix'
 *   },
 * });
 */
export declare function useInstallMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IInstallMutation, SchemaTypes.IInstallMutationVariables>): Apollo.MutationTuple<SchemaTypes.IInstallMutation, SchemaTypes.Exact<{
    vsix: string;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type InstallMutationHookResult = ReturnType<typeof useInstallMutation>;
export type InstallMutationResult = Apollo.MutationResult<SchemaTypes.IInstallMutation>;
export type InstallMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IInstallMutation, SchemaTypes.IInstallMutationVariables>;
export declare const ProviderDefinitionDocument: DocumentNode;
export type IProviderDefinitionMutationFn = Apollo.MutationFunction<SchemaTypes.IProviderDefinitionMutation, SchemaTypes.IProviderDefinitionMutationVariables>;
/**
 * __useProviderDefinitionMutation__
 *
 * To run a mutation, you first call `useProviderDefinitionMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useProviderDefinitionMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [providerDefinitionMutation, { data, loading, error }] = useProviderDefinitionMutation({
 *   variables: {
 *      params: // value for 'params'
 *   },
 * });
 */
export declare function useProviderDefinitionMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IProviderDefinitionMutation, SchemaTypes.IProviderDefinitionMutationVariables>): Apollo.MutationTuple<SchemaTypes.IProviderDefinitionMutation, SchemaTypes.Exact<{
    params?: SchemaTypes.ITextDocumentPositionParamsInput;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type ProviderDefinitionMutationHookResult = ReturnType<typeof useProviderDefinitionMutation>;
export type ProviderDefinitionMutationResult = Apollo.MutationResult<SchemaTypes.IProviderDefinitionMutation>;
export type ProviderDefinitionMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IProviderDefinitionMutation, SchemaTypes.IProviderDefinitionMutationVariables>;
export declare const RemoveDocument: DocumentNode;
export type IRemoveMutationFn = Apollo.MutationFunction<SchemaTypes.IRemoveMutation, SchemaTypes.IRemoveMutationVariables>;
/**
 * __useRemoveMutation__
 *
 * To run a mutation, you first call `useRemoveMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useRemoveMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [removeMutation, { data, loading, error }] = useRemoveMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
export declare function useRemoveMutation(baseOptions?: Apollo.MutationHookOptions<SchemaTypes.IRemoveMutation, SchemaTypes.IRemoveMutationVariables>): Apollo.MutationTuple<SchemaTypes.IRemoveMutation, SchemaTypes.Exact<{
    id: string;
}>, Apollo.DefaultContext, Apollo.ApolloCache<any>>;
export type RemoveMutationHookResult = ReturnType<typeof useRemoveMutation>;
export type RemoveMutationResult = Apollo.MutationResult<SchemaTypes.IRemoveMutation>;
export type RemoveMutationOptions = Apollo.BaseMutationOptions<SchemaTypes.IRemoveMutation, SchemaTypes.IRemoveMutationVariables>;
export declare const ContextMenuDocument: DocumentNode;
/**
 * __useContextMenuQuery__
 *
 * To run a query within a React component, call `useContextMenuQuery` and pass it any options that fit your needs.
 * When your component renders, `useContextMenuQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useContextMenuQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useContextMenuQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): Apollo.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useContextMenuLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IContextMenuQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useContextMenuSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type ContextMenuQueryHookResult = ReturnType<typeof useContextMenuQuery>;
export type ContextMenuLazyQueryHookResult = ReturnType<typeof useContextMenuLazyQuery>;
export type ContextMenuSuspenseQueryHookResult = ReturnType<typeof useContextMenuSuspenseQuery>;
export type ContextMenuQueryResult = Apollo.QueryResult<SchemaTypes.IContextMenuQuery, SchemaTypes.IContextMenuQueryVariables>;
export declare const GalleryExtensionDocument: DocumentNode;
/**
 * __useGalleryExtensionQuery__
 *
 * To run a query within a React component, call `useGalleryExtensionQuery` and pass it any options that fit your needs.
 * When your component renders, `useGalleryExtensionQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGalleryExtensionQuery({
 *   variables: {
 *      extensionID: // value for 'extensionID'
 *   },
 * });
 */
export declare function useGalleryExtensionQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.IGalleryExtensionQueryVariables> & ({
    variables: SchemaTypes.IGalleryExtensionQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.Exact<{
    extensionID: string;
}>>;
export declare function useGalleryExtensionLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.IGalleryExtensionQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.Exact<{
    extensionID: string;
}>>;
export declare function useGalleryExtensionSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.IGalleryExtensionQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.Exact<{
    extensionID: string;
}>>;
export type GalleryExtensionQueryHookResult = ReturnType<typeof useGalleryExtensionQuery>;
export type GalleryExtensionLazyQueryHookResult = ReturnType<typeof useGalleryExtensionLazyQuery>;
export type GalleryExtensionSuspenseQueryHookResult = ReturnType<typeof useGalleryExtensionSuspenseQuery>;
export type GalleryExtensionQueryResult = Apollo.QueryResult<SchemaTypes.IGalleryExtensionQuery, SchemaTypes.IGalleryExtensionQueryVariables>;
export declare const ExtensionsByLimitDocument: DocumentNode;
/**
 * __useExtensionsByLimitQuery__
 *
 * To run a query within a React component, call `useExtensionsByLimitQuery` and pass it any options that fit your needs.
 * When your component renders, `useExtensionsByLimitQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useExtensionsByLimitQuery({
 *   variables: {
 *      first: // value for 'first'
 *      prioritizeExtensionIDs: // value for 'prioritizeExtensionIDs'
 *   },
 * });
 */
export declare function useExtensionsByLimitQuery(baseOptions: Apollo.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables> & ({
    variables: SchemaTypes.IExtensionsByLimitQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
})): Apollo.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.Exact<{
    first: number;
    prioritizeExtensionIDs: string | string[];
}>>;
export declare function useExtensionsByLimitLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.Exact<{
    first: number;
    prioritizeExtensionIDs: string | string[];
}>>;
export declare function useExtensionsByLimitSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.Exact<{
    first: number;
    prioritizeExtensionIDs: string | string[];
}>>;
export type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export type ExtensionsByLimitSuspenseQueryHookResult = ReturnType<typeof useExtensionsByLimitSuspenseQuery>;
export type ExtensionsByLimitQueryResult = Apollo.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare const GalleryDocument: DocumentNode;
/**
 * __useGalleryQuery__
 *
 * To run a query within a React component, call `useGalleryQuery` and pass it any options that fit your needs.
 * When your component renders, `useGalleryQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGalleryQuery({
 *   variables: {
 *      query: // value for 'query'
 *   },
 * });
 */
export declare function useGalleryQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IGalleryQuery, SchemaTypes.IGalleryQueryVariables>): Apollo.QueryResult<SchemaTypes.IGalleryQuery, SchemaTypes.Exact<{
    query?: SchemaTypes.IGalleryQueryInput;
}>>;
export declare function useGalleryLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IGalleryQuery, SchemaTypes.IGalleryQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IGalleryQuery, SchemaTypes.Exact<{
    query?: SchemaTypes.IGalleryQueryInput;
}>>;
export declare function useGallerySuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IGalleryQuery, SchemaTypes.IGalleryQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IGalleryQuery, SchemaTypes.Exact<{
    query?: SchemaTypes.IGalleryQueryInput;
}>>;
export type GalleryQueryHookResult = ReturnType<typeof useGalleryQuery>;
export type GalleryLazyQueryHookResult = ReturnType<typeof useGalleryLazyQuery>;
export type GallerySuspenseQueryHookResult = ReturnType<typeof useGallerySuspenseQuery>;
export type GalleryQueryResult = Apollo.QueryResult<SchemaTypes.IGalleryQuery, SchemaTypes.IGalleryQueryVariables>;
export declare const InstalledExtensionsDocument: DocumentNode;
/**
 * __useInstalledExtensionsQuery__
 *
 * To run a query within a React component, call `useInstalledExtensionsQuery` and pass it any options that fit your needs.
 * When your component renders, `useInstalledExtensionsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useInstalledExtensionsQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useInstalledExtensionsQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.IInstalledExtensionsQueryVariables>): Apollo.QueryResult<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useInstalledExtensionsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.IInstalledExtensionsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useInstalledExtensionsSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.IInstalledExtensionsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type InstalledExtensionsQueryHookResult = ReturnType<typeof useInstalledExtensionsQuery>;
export type InstalledExtensionsLazyQueryHookResult = ReturnType<typeof useInstalledExtensionsLazyQuery>;
export type InstalledExtensionsSuspenseQueryHookResult = ReturnType<typeof useInstalledExtensionsSuspenseQuery>;
export type InstalledExtensionsQueryResult = Apollo.QueryResult<SchemaTypes.IInstalledExtensionsQuery, SchemaTypes.IInstalledExtensionsQueryVariables>;
export declare const NotificationsDocument: DocumentNode;
/**
 * __useNotificationsQuery__
 *
 * To run a query within a React component, call `useNotificationsQuery` and pass it any options that fit your needs.
 * When your component renders, `useNotificationsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useNotificationsQuery({
 *   variables: {
 *   },
 * });
 */
export declare function useNotificationsQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): Apollo.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useNotificationsLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.INotificationsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export declare function useNotificationsSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.Exact<{
    [key: string]: never;
}>>;
export type NotificationsQueryHookResult = ReturnType<typeof useNotificationsQuery>;
export type NotificationsLazyQueryHookResult = ReturnType<typeof useNotificationsLazyQuery>;
export type NotificationsSuspenseQueryHookResult = ReturnType<typeof useNotificationsSuspenseQuery>;
export type NotificationsQueryResult = Apollo.QueryResult<SchemaTypes.INotificationsQuery, SchemaTypes.INotificationsQueryVariables>;
export declare const ShowNotificationDocument: DocumentNode;
/**
 * __useShowNotificationQuery__
 *
 * To run a query within a React component, call `useShowNotificationQuery` and pass it any options that fit your needs.
 * When your component renders, `useShowNotificationQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useShowNotificationQuery({
 *   variables: {
 *      notification: // value for 'notification'
 *   },
 * });
 */
export declare function useShowNotificationQuery(baseOptions?: Apollo.QueryHookOptions<SchemaTypes.IShowNotificationQuery, SchemaTypes.IShowNotificationQueryVariables>): Apollo.QueryResult<SchemaTypes.IShowNotificationQuery, SchemaTypes.Exact<{
    notification?: SchemaTypes.INotificationInput;
}>>;
export declare function useShowNotificationLazyQuery(baseOptions?: Apollo.LazyQueryHookOptions<SchemaTypes.IShowNotificationQuery, SchemaTypes.IShowNotificationQueryVariables>): Apollo.LazyQueryResultTuple<SchemaTypes.IShowNotificationQuery, SchemaTypes.Exact<{
    notification?: SchemaTypes.INotificationInput;
}>>;
export declare function useShowNotificationSuspenseQuery(baseOptions?: Apollo.SuspenseQueryHookOptions<SchemaTypes.IShowNotificationQuery, SchemaTypes.IShowNotificationQueryVariables>): Apollo.UseSuspenseQueryResult<SchemaTypes.IShowNotificationQuery, SchemaTypes.Exact<{
    notification?: SchemaTypes.INotificationInput;
}>>;
export type ShowNotificationQueryHookResult = ReturnType<typeof useShowNotificationQuery>;
export type ShowNotificationLazyQueryHookResult = ReturnType<typeof useShowNotificationLazyQuery>;
export type ShowNotificationSuspenseQueryHookResult = ReturnType<typeof useShowNotificationSuspenseQuery>;
export type ShowNotificationQueryResult = Apollo.QueryResult<SchemaTypes.IShowNotificationQuery, SchemaTypes.IShowNotificationQueryVariables>;
//# sourceMappingURL=generated.d.ts.map