import { tap, map, ignoreElements } from 'rxjs/operators/index.js';
import { COMMAND_ACTION_TYPES } from '@adminide-stack/extension-api';
import { ofType } from 'redux-observable';

const registerCommandEpic = (action$, state$, { apolloClient, services }) => {
    return action$
        .pipe(ofType(COMMAND_ACTION_TYPES.REGISTER_COMMAND), tap((action) => console.log(action)), map(action => services.commands.registerCommand(action.payload)), ignoreElements());
};
const deregisterCommandEpic = (action$, state$, { apolloClient, services }) => {
    return action$
        .pipe(ofType(COMMAND_ACTION_TYPES.DEREGISTER_COMMAND), tap((action) => console.log(action)), map(action => services.commands.deregisterCommand(action.payload)), ignoreElements());
};
const executeCommandEpic = (action$, state$, { apolloClient, services }) => action$
    .pipe(ofType(COMMAND_ACTION_TYPES.EXECUTE_COMMAND), map(action => services.commands.executeCommand(action.payload)), ignoreElements());

export { deregisterCommandEpic, executeCommandEpic, registerCommandEpic };
//# sourceMappingURL=command-epic.js.map
