import { asError } from '@adminide-stack/extension-api';

/**
 * DEPRECATED: use dataOrThrowErrors instead
 * Creates an aggregate error out of multiple provided error likes
 *
 * @param errors The errors or ErrorLikes to aggregate
 */
const createAggregateError = (errors = []) => Object.assign(new Error(errors.map(e => e.message).join('\n')), {
    name: 'AggregateError',
    errors: errors.map(asError),
});
const isErrorLike = (val) => {
    return !!val && typeof val === 'object' && (!!val.stack || ('message' in val || 'code' in val)) && !('__typename' in val);
};

export { createAggregateError, isErrorLike };
//# sourceMappingURL=errors.js.map
